ClickCease

What operating system is required to use the HP Reverb G2?

Last modified: September 20, 2021
The HP Reverb G2 requires at least Windows 10, May 2019 update. However, a newer version of Windows is recommended. The newest version of Windows has the Windows Mixed Reality Portal pre-installed and allows you to plug the HP reverb G2 into the PC and use it straight away.
Was this article helpful?
No 0 of 0 found this article helpful.
Close Menu
×
×

Basket